
Redmine - Feature #31804

May I get sub projects via REST API

2019-07-25 11:07 - Alexandr Horbatiuk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I didn't find this capability in docs

Thank in advance!

History

#1 - 2019-07-27 07:24 - Bernhard Rohloff

- Status changed from New to Closed

This is an example of a subproject fetched by http://REDMINE_URL/projects.json. As you can see it contains its parent projects id and name. But you

are right, the documentation doesn't show it.

{

  "id":26,"name":"Events",

  "identifier":"events",

  "description":"Planning of all events",

  "parent:

    {

    "id":25,

    "name":"Marketing" 

    },

  "status":1,

  "is_public":false,

  "created_on":"2018-06-09T22:27:33Z",

  "updated_on":"2018-06-10T07:00:28Z" 

}

#2 - 2019-10-18 10:34 - Matteo Turra

I think Alexandr Horbatiuk means the reverse: "get the subproject from its parent", as redmine shows in the project web page.

It would be nice to have http://REDMINE_URL/projects/<id>.json?include=subprojects
